Loading...
Searching...
No Matches
mqtt::topic_matcher< T >::const_match_iterator Class Reference

`#include <topic_matcher.h>`

Inheritance diagram for mqtt::topic_matcher< T >::const_match_iterator:

## Public Member Functions

const_reference | operator* () const noexcept
const value_type * | operator-> () const noexcept
Public Member Functions inherited from mqtt::topic_matcher< T >::match_iterator
reference | operator* () noexcept
const_reference | operator* () const noexcept
value_type * | operator-> () noexcept
const value_type * | operator-> () const noexcept
match_iterator | operator++ (int) noexcept
match_iterator & | operator++ () noexcept
bool | operator!= (const match_iterator &other) const noexcept

## Friends

class | topic_matcher

## Detailed Description

template<typename T>
class mqtt::topic_matcher< T >::const_match_iterator

A const match iterator.

## Member Function Documentation

## operator*()

template<typename T >

const_reference mqtt::topic_matcher< T >::const_match_iterator::operator* | ( |  | ) | const

inline noexcept

Gets a const reference to the current value.

Returns
  A const reference to the current value.

## operator->()

template<typename T >

const value_type * mqtt::topic_matcher< T >::const_match_iterator::operator-> | ( |  | ) | const

inline noexcept

Get a const pointer to the current value.

Returns
  A const pointer to the current value.

## Friends And Related Symbol Documentation

## topic_matcher

template<typename T >

friend class topic_matcher

friend

The documentation for this class was generated from the following file:

- topic_matcher.h